[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TMaskeditTrimType

Controls how the value in a masked edit control is trimmed.

## Declaration

Source position: maskedit.pp line 147

`type TMaskeditTrimType = (`
`metTrimLeft,` |  | Trims leading spaces from the value for a masked edit control.
`metTrimRight` |  | Trims trailing spaces from the value for a masked edit control; this is the default action in TCustomMaskEdit.
`);`

## Description

TMaskEditTrimType is an enumerated type with values that control if / how the text in TCustomMaskEdit is trimmed.

## See also

TCustomMaskEdit.EditMask |  | Contains the mask characters classes and literals used to format/obscure the value for the control.
TCustomMaskEdit.DisableMask |  | Saves and disables the edit mask in the control.
TCustomMaskEdit.ApplyMaskToText |  | Applies the edit mask in the control to the specified value.